export type JWTData = {
  [key: string]: string | number | Array<string>;
};

export type JWTToken = {
  userId: number;
  username: string;
  rights: Array<string>;
} & JWTData;

export type JWTRefresh = {
  userId: number;
} & JWTData;
